## ros-noetic-tesseract-state-solver 0.13.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5.0)

# Extract package name and version
find_package(ros_industrial_cmake_boilerplate REQUIRED)
extract_package_metadata(pkg)
project(${pkg_extracted_name} VERSION ${pkg_extracted_version} LANGUAGES CXX)

if(WIN32)
  set(CMAKE_WINDOWS_EXPORT_ALL_SYMBOLS ON)
endif()

# System dependencies are found with CMake's conventions
find_package(Eigen3 REQUIRED)
find_package(console_bridge REQUIRED)
find_package(orocos_kdl REQUIRED)
find_package(tesseract_scene_graph REQUIRED)
find_package(tesseract_common REQUIRED)

if(NOT TARGET console_bridge::console_bridge)
  add_library(console_bridge::console_bridge INTERFACE IMPORTED)
  set_target_properties(console_bridge::console_bridge PROPERTIES INTERFACE_INCLUDE_DIRECTORIES
                                                                  ${console_bridge_INCLUDE_DIRS})
  set_target_properties(console_bridge::console_bridge PROPERTIES INTERFACE_LINK_LIBRARIES ${console_bridge_LIBRARIES})
else()
  get_target_property(CHECK_INCLUDE_DIRECTORIES console_bridge::console_bridge INTERFACE_INCLUDE_DIRECTORIES)
  if(NOT ${CHECK_INCLUDE_DIRECTORIES})
    set_target_properties(console_bridge::console_bridge PROPERTIES INTERFACE_INCLUDE_DIRECTORIES
                                                                    ${console_bridge_INCLUDE_DIRS})
  endif()
endif()

# Load variable for clang tidy args, compiler options and cxx version
tesseract_variables()

initialize_code_coverage(ENABLE ${TESSERACT_ENABLE_CODE_COVERAGE})
set(COVERAGE_EXCLUDE
    /usr/*
    /opt/*
    ${CMAKE_CURRENT_LIST_DIR}/test/*
    /*/gtest/*
    /*/bullet/LinearMath/*
    /*/bullet/BulletCollision/*)
add_code_coverage_all_targets(EXCLUDE ${COVERAGE_EXCLUDE} ENABLE ${TESSERACT_ENABLE_CODE_COVERAGE})

add_library(${PROJECT_NAME}_core INTERFACE)
target_link_libraries(
  ${PROJECT_NAME}_core
  INTERFACE Eigen3::Eigen
            tesseract::tesseract_common
            tesseract::tesseract_scene_graph
            console_bridge::console_bridge)
target_compile_options(${PROJECT_NAME}_core INTERFACE ${TESSERACT_COMPILE_OPTIONS_PUBLIC})
target_compile_definitions(${PROJECT_NAME}_core INTERFACE ${TESSERACT_COMPILE_DEFINITIONS})
target_clang_tidy(${PROJECT_NAME}_core ENABLE ${TESSERACT_ENABLE_CLANG_TIDY})
target_cxx_version(${PROJECT_NAME}_core INTERFACE VERSION ${TESSERACT_CXX_VERSION})
target_code_coverage(
  ${PROJECT_NAME}_core
  INTERFACE
  ALL
  EXCLUDE ${COVERAGE_EXCLUDE}
  ENABLE ${TESSERACT_ENABLE_CODE_COVERAGE})
target_include_directories(${PROJECT_NAME}_core INTERFACE "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>"
                                                          "$<INSTALL_INTERFACE:include>")

add_library(${PROJECT_NAME}_kdl src/kdl_state_solver.cpp)
target_link_libraries(
  ${PROJECT_NAME}_kdl
  PUBLIC ${PROJECT_NAME}_core
         Eigen3::Eigen
         tesseract::tesseract_common
         tesseract::tesseract_scene_graph
         orocos-kdl
         console_bridge::console_bridge)
target_compile_options(${PROJECT_NAME}_kdl PRIVATE ${TESSERACT_COMPILE_OPTIONS_PRIVATE})
target_compile_options(${PROJECT_NAME}_kdl PUBLIC ${TESSERACT_COMPILE_OPTIONS_PUBLIC})
target_compile_definitions(${PROJECT_NAME}_kdl PUBLIC ${TESSERACT_COMPILE_DEFINITIONS})
target_clang_tidy(${PROJECT_NAME}_kdl ENABLE ${TESSERACT_ENABLE_CLANG_TIDY})
target_cxx_version(${PROJECT_NAME}_kdl PUBLIC VERSION ${TESSERACT_CXX_VERSION})
target_code_coverage(
  ${PROJECT_NAME}_kdl
  PRIVATE
  ALL
  EXCLUDE ${COVERAGE_EXCLUDE}
  ENABLE ${TESSERACT_ENABLE_CODE_COVERAGE})
target_include_directories(${PROJECT_NAME}_kdl PUBLIC "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>"
                                                      "$<INSTALL_INTERFACE:include>")

add_library(${PROJECT_NAME}_ofkt src/ofkt_state_solver.cpp src/ofkt_nodes.cpp)
target_link_libraries(
  ${PROJECT_NAME}_ofkt
  PUBLIC ${PROJECT_NAME}_core
         Eigen3::Eigen
         tesseract::tesseract_common
         tesseract::tesseract_scene_graph
         console_bridge::console_bridge)
target_compile_options(${PROJECT_NAME}_ofkt PRIVATE ${TESSERACT_COMPILE_OPTIONS_PRIVATE})
target_compile_options(${PROJECT_NAME}_ofkt PUBLIC ${TESSERACT_COMPILE_OPTIONS_PUBLIC})
target_compile_definitions(${PROJECT_NAME}_ofkt PUBLIC ${TESSERACT_COMPILE_DEFINITIONS})
target_clang_tidy(${PROJECT_NAME}_ofkt ENABLE ${TESSERACT_ENABLE_CLANG_TIDY})
target_cxx_version(${PROJECT_NAME}_ofkt PUBLIC VERSION ${TESSERACT_CXX_VERSION})
target_code_coverage(
  ${PROJECT_NAME}_ofkt
  PRIVATE
  ALL
  EXCLUDE ${COVERAGE_EXCLUDE}
  ENABLE ${TESSERACT_ENABLE_CODE_COVERAGE})
target_include_directories(${PROJECT_NAME}_ofkt PUBLIC "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>"
                                                       "$<INSTALL_INTERFACE:include>")

configure_package(NAMESPACE tesseract TARGETS ${PROJECT_NAME}_core ${PROJECT_NAME}_kdl ${PROJECT_NAME}_ofkt)

# Mark cpp header files for installation
install(
  DIRECTORY include/${PROJECT_NAME}
  DESTINATION include
  FILES_MATCHING
  PATTERN "*.h"
  PATTERN ".svn" EXCLUDE)

if(TESSERACT_ENABLE_TESTING)
  enable_testing()
  add_run_tests_target(ENABLE ${TESSERACT_ENABLE_RUN_TESTING})
  add_subdirectory(test)
endif()

if(TESSERACT_PACKAGE)
  tesseract_cpack(
    VERSION ${pkg_extracted_version}
    MAINTAINER <https://github.com/ros-industrial-consortium/tesseract>
    DESCRIPTION ${pkg_extracted_description}
    LICENSE_FILE ${CMAKE_CURRENT_LIST_DIR}/../LICENSE
    README_FILE ${CMAKE_CURRENT_LIST_DIR}/../README.md
    LINUX_DEPENDS
      "libconsole-bridge-dev"
      "liborocos-kdl-dev"
      "libeigen3-dev"
      "${TESSERACT_PACKAGE_PREFIX}tesseract-scene-graph"
      "${TESSERACT_PACKAGE_PREFIX}tesseract-common"
    WINDOWS_DEPENDS
      "console_bridge"
      "orocos-kdl"
      "Eigen3"
      "${TESSERACT_PACKAGE_PREFIX}tesseract-scene-graph"
      "${TESSERACT_PACKAGE_PREFIX}tesseract-common")
endif()

=== debian/changelog ===
ros-noetic-tesseract-state-solver (0.13.1-1buster) buster; urgency=high

  * Move most SWIG commands to tesseract_python package (#809 <https://github.com/tesseract-robotics/tesseract/issues/809>)
  * Contributors: John Wason

 -- Levi Armstrong <levi.armstrong@swri.org>  Thu, 25 Aug 2022 05:00:00 -0000

ros-noetic-tesseract-state-solver (0.13.0-1buster) buster; urgency=high

  * Update code based on clang-tidy-14
  * Contributors: Levi Armstrong

 -- Levi Armstrong <levi.armstrong@swri.org>  Mon, 11 Jul 2022 05:00:00 -0000

ros-noetic-tesseract-state-solver (0.10.0-1buster) buster; urgency=high

  * Update ros_industrial_cmake_boilerplate to 0.3.0 (#795 <https://github.com/tesseract-robotics/tesseract/issues/795>)

 -- Levi Armstrong <levi.armstrong@swri.org>  Wed, 06 Jul 2022 05:00:00 -0000

ros-noetic-tesseract-state-solver (0.9.11-1buster) buster; urgency=high

  * Updated CPack (#786 <https://github.com/tesseract-robotics/tesseract/issues/786>)
  * Update to use find_gtest macro
  * Contributors: Levi Armstrong, Michael Ripperger

 -- Levi Armstrong <levi.armstrong@swri.org>  Thu, 30 Jun 2022 05:00:00 -0000

ros-noetic-tesseract-state-solver (0.9.10-1buster) buster; urgency=high



 -- Levi Armstrong <levi.armstrong@swri.org>  Tue, 14 Jun 2022 05:00:00 -0000

ros-noetic-tesseract-state-solver (0.9.9-1buster) buster; urgency=high



 -- Levi Armstrong <levi.armstrong@swri.org>  Mon, 30 May 2022 05:00:00 -0000

ros-noetic-tesseract-state-solver (0.9.8-1buster) buster; urgency=high



 -- Levi Armstrong <levi.armstrong@swri.org>  Mon, 30 May 2022 05:00:00 -0000

ros-noetic-tesseract-state-solver (0.9.7-1buster) buster; urgency=high



 -- Levi Armstrong <levi.armstrong@swri.org>  Mon, 30 May 2022 05:00:00 -0000

ros-noetic-tesseract-state-solver (0.9.6-1buster) buster; urgency=high



 -- Levi Armstrong <levi.armstrong@swri.org>  Mon, 02 May 2022 05:00:00 -0000

ros-noetic-tesseract-state-solver (0.9.5-1buster) buster; urgency=high



 -- Levi Armstrong <levi.armstrong@swri.org>  Sun, 24 Apr 2022 05:00:00 -0000

ros-noetic-tesseract-state-solver (0.9.4-1buster) buster; urgency=high

  * Windows fixes with passing unit tests (#751 <https://github.com/tesseract-robotics/tesseract/issues/751>)
    * Fix bug in OFKTStateSolver::moveLinkHelper
    * Use binary ifstream ond ofstream in serialization.h
    * Add c++17 flag to windows_noetic_build.yml
    * Fix SceneGraph move constructor, restore modified unit tests
  * Contributors: John Wason

 -- Levi Armstrong <levi.armstrong@swri.org>  Fri, 22 Apr 2022 05:00:00 -0000

ros-noetic-tesseract-state-solver (0.9.3-1buster) buster; urgency=high



 -- Levi Armstrong <levi.armstrong@swri.org>  Mon, 18 Apr 2022 05:00:00 -0000

ros-noetic-tesseract-state-solver (0.9.2-1buster) buster; urgency=high



 -- Levi Armstrong <levi.armstrong@swri.org>  Sun, 03 Apr 2022 05:00:00 -0000

ros-noetic-tesseract-state-solver (0.9.1-1buster) buster; urgency=high



 -- Levi Armstrong <levi.armstrong@swri.org>  Fri, 01 Apr 2022 05:00:00 -0000

ros-noetic-tesseract-state-solver (0.9.0-1buster) buster; urgency=high

  * Make ResourceLocator serializable
  * Contributors: Levi Armstrong

 -- Levi Armstrong <levi.armstrong@swri.org>  Thu, 31 Mar 2022 05:00:00 -0000

ros-noetic-tesseract-state-solver (0.8.7-1buster) buster; urgency=high



 -- Levi Armstrong <levi.armstrong@swri.org>  Thu, 24 Mar 2022 05:00:00 -0000

ros-noetic-tesseract-state-solver (0.8.6-1buster) buster; urgency=high



 -- Levi Armstrong <levi.armstrong@swri.org>  Thu, 24 Mar 2022 05:00:00 -0000

ros-noetic-tesseract-state-solver (0.8.5-1buster) buster; urgency=high

  * Add methods for getting link transform information from state solver
  * Contributors: Levi Armstrong

 -- Levi Armstrong <levi.armstrong@swri.org>  Thu, 24 Mar 2022 05:00:00 -0000

ros-noetic-tesseract-state-solver (0.8.4-1buster) buster; urgency=high



 -- Levi Armstrong <levi.armstrong@swri.org>  Thu, 03 Mar 2022 06:00:00 -0000

ros-noetic-tesseract-state-solver (0.8.3-1buster) buster; urgency=high

  * Python patches for Feb 2022 update (#716 <https://github.com/tesseract-robotics/tesseract/issues/716>)
  * Add missing UPtr and ConstUPtr typedef for KDL and OFKT state solver (#711 <https://github.com/tesseract-robotics/tesseract/issues/711>)
  * Contributors: John Wason, Levi Armstrong

 -- Levi Armstrong <levi.armstrong@swri.org>  Tue, 22 Feb 2022 06:00:00 -0000

ros-noetic-tesseract-state-solver (0.8.2-1buster) buster; urgency=high



 -- Levi Armstrong <levi.armstrong@swri.org>  Thu, 27 Jan 2022 06:00:00 -0000

ros-noetic-tesseract-state-solver (0.8.1-1buster) buster; urgency=high



 -- Levi Armstrong <levi.armstrong@swri.org>  Mon, 24 Jan 2022 06:00:00 -0000

ros-noetic-tesseract-state-solver (0.8.0-1buster) buster; urgency=high



 -- Levi Armstrong <levi.armstrong@swri.org>  Wed, 19 Jan 2022 06:00:00 -0000

ros-noetic-tesseract-state-solver (0.7.5-1buster) buster; urgency=high



 -- Levi Armstrong <levi.armstrong@swri.org>  Mon, 10 Jan 2022 06:00:00 -0000

ros-noetic-tesseract-state-solver (0.7.4-1buster) buster; urgency=high



 -- Levi Armstrong <levi.armstrong@swri.org>  Wed, 15 Dec 2021 06:00:00 -0000

ros-noetic-tesseract-state-solver (0.7.3-1buster) buster; urgency=high



 -- Levi Armstrong <levi.armstrong@swri.org>  Wed, 15 Dec 2021 06:00:00 -0000

ros-noetic-tesseract-state-solver (0.7.2-1buster) buster; urgency=high



 -- Levi Armstrong <levi.armstrong@swri.org>  Wed, 15 Dec 2021 06:00:00 -0000

ros-noetic-tesseract-state-solver (0.7.1-1buster) buster; urgency=high



 -- Levi Armstrong <levi.armstrong@swri.org>  Wed, 15 Dec 2021 06:00:00 -0000

ros-noetic-tesseract-state-solver (0.7.0-1buster) buster; urgency=high



 -- Levi Armstrong <levi.armstrong@swri.org>  Sat, 04 Dec 2021 06:00:00 -0000

ros-noetic-tesseract-state-solver (0.6.9-1buster) buster; urgency=high



 -- Levi Armstrong <levi.armstrong@swri.org>  Mon, 29 Nov 2021 06:00:00 -0000



=== debian/control ===
Source: ros-noetic-tesseract-state-solver
Section: misc
Priority: optional
Maintainer: Levi Armstrong <levi.armstrong@swri.org>
Build-Depends: debhelper (>= 9.0.0), cmake, libconsole-bridge-dev, libeigen3-dev, libgtest-dev <!nocheck>, liborocos-kdl-dev, ros-noetic-ros-industrial-cmake-boilerplate, ros-noetic-tesseract-common, ros-noetic-tesseract-scene-graph, ros-noetic-tesseract-support <!nocheck>, ros-noetic-tesseract-urdf <!nocheck>
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-tesseract-state-solver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libconsole-bridge-dev, libeigen3-dev, liborocos-kdl-dev, ros-noetic-tesseract-common, ros-noetic-tesseract-scene-graph
Description: The state solver for tesseract_scene_graph

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

# Solve shlibdeps errors in REP136 packages that use GNUInstallDirs:
export DEB_HOST_MULTIARCH := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-tesseract-state-solver//opt/ros/noetic/lib/:$(CURDIR)/debian/ros-noetic-tesseract-state-solver//opt/ros/noetic/lib/${DEB_HOST_MULTIARCH}

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install

## ros-noetic-tesseract-state-solver 0.18.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -53,12 +53,6 @@
 target_compile_definitions(${PROJECT_NAME}_core INTERFACE ${TESSERACT_COMPILE_DEFINITIONS})
 target_clang_tidy(${PROJECT_NAME}_core ENABLE ${TESSERACT_ENABLE_CLANG_TIDY})
 target_cxx_version(${PROJECT_NAME}_core INTERFACE VERSION ${TESSERACT_CXX_VERSION})
-target_code_coverage(
-  ${PROJECT_NAME}_core
-  INTERFACE
-  ALL
-  EXCLUDE ${COVERAGE_EXCLUDE}
-  ENABLE ${TESSERACT_ENABLE_CODE_COVERAGE})
 target_include_directories(${PROJECT_NAME}_core INTERFACE "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>"
                                                           "$<INSTALL_INTERFACE:include>")
 
@@ -117,7 +111,7 @@
   PATTERN "*.h"
   PATTERN ".svn" EXCLUDE)
 
-if(TESSERACT_ENABLE_TESTING)
+if(TESSERACT_ENABLE_TESTING OR TESSERACT_STATE_SOLVER_ENABLE_TESTING)
   enable_testing()
   add_run_tests_target(ENABLE ${TESSERACT_ENABLE_RUN_TESTING})
   add_subdirectory(test)

=== test/CMakeLists.txt ===
find_gtest()
find_package(tesseract_support REQUIRED)
find_package(tesseract_urdf REQUIRED)

add_executable(${PROJECT_NAME}_unit tesseract_state_solver_ofkt_unit.cpp)
target_link_libraries(
  ${PROJECT_NAME}_unit
  PRIVATE GTest::GTest
          GTest::Main
          ${PROJECT_NAME}_kdl
          ${PROJECT_NAME}_ofkt
          tesseract::tesseract_urdf
          tesseract::tesseract_support)
target_compile_options(${PROJECT_NAME}_unit PRIVATE ${TESSERACT_COMPILE_OPTIONS_PRIVATE}
                                                    ${TESSERACT_COMPILE_OPTIONS_PUBLIC})
target_compile_definitions(${PROJECT_NAME}_unit PRIVATE ${TESSERACT_COMPILE_DEFINITIONS})
target_clang_tidy(${PROJECT_NAME}_unit ENABLE ${TESSERACT_ENABLE_CLANG_TIDY})
target_cxx_version(${PROJECT_NAME}_unit PRIVATE VERSION ${TESSERACT_CXX_VERSION})
target_code_coverage(
  ${PROJECT_NAME}_unit
  PRIVATE
  ALL
  EXCLUDE ${COVERAGE_EXCLUDE}
  ENABLE ${TESSERACT_ENABLE_CODE_COVERAGE})
add_gtest_discover_tests(${PROJECT_NAME}_unit)
add_dependencies(${PROJECT_NAME}_unit ${PROJECT_NAME}_kdl)
add_dependencies(run_tests ${PROJECT_NAME}_unit)

=== debian/changelog ===
ros-noetic-tesseract-state-solver (0.18.1-1focal) focal; urgency=high



 -- Levi Armstrong <levi.armstrong@swri.org>  Fri, 30 Jun 2023 05:00:00 -0000

ros-noetic-tesseract-state-solver (0.18.0-1focal) focal; urgency=high

  * Add package cmake flags for testing, examples and benchmarks
  * Contributors: Levi Armstrong

 -- Levi Armstrong <levi.armstrong@swri.org>  Thu, 29 Jun 2023 05:00:00 -0000

ros-noetic-tesseract-state-solver (0.17.0-1focal) focal; urgency=high



 -- Levi Armstrong <levi.armstrong@swri.org>  Tue, 06 Jun 2023 05:00:00 -0000

ros-noetic-tesseract-state-solver (0.16.3-1focal) focal; urgency=high



 -- Levi Armstrong <levi.armstrong@swri.org>  Thu, 04 May 2023 05:00:00 -0000

ros-noetic-tesseract-state-solver (0.16.2-1focal) focal; urgency=high



 -- Levi Armstrong <levi.armstrong@swri.org>  Fri, 28 Apr 2023 05:00:00 -0000

ros-noetic-tesseract-state-solver (0.16.1-1focal) focal; urgency=high



 -- Levi Armstrong <levi.armstrong@swri.org>  Tue, 11 Apr 2023 05:00:00 -0000

ros-noetic-tesseract-state-solver (0.16.0-1focal) focal; urgency=high



 -- Levi Armstrong <levi.armstrong@swri.org>  Sun, 09 Apr 2023 05:00:00 -0000

ros-noetic-tesseract-state-solver (0.15.3-1focal) focal; urgency=high



 -- Levi Armstrong <levi.armstrong@swri.org>  Wed, 22 Mar 2023 05:00:00 -0000

ros-noetic-tesseract-state-solver (0.15.2-1focal) focal; urgency=high



 -- Levi Armstrong <levi.armstrong@swri.org>  Wed, 15 Mar 2023 05:00:00 -0000

ros-noetic-tesseract-state-solver (0.15.1-1focal) focal; urgency=high



 -- Levi Armstrong <levi.armstrong@swri.org>  Tue, 14 Mar 2023 05:00:00 -0000

ros-noetic-tesseract-state-solver (0.15.0-1focal) focal; urgency=high

  * Performance improvements found using callgrind (#852 <https://github.com/tesseract-robotics/tesseract/issues/852>)
  * Closes #848 <https://github.com/tesseract-robotics/tesseract/issues/848>
  * Improve tesseract_state_solver code coverage
  * Contributors: Levi Armstrong, Roelof Oomen

 -- Levi Armstrong <levi.armstrong@swri.org>  Fri, 03 Mar 2023 06:00:00 -0000

ros-noetic-tesseract-state-solver (0.14.0-1focal) focal; urgency=high

  * Fix codecov build using ros_industrial_cmake_boilerplate 0.3.1
  * Contributors: Levi Armstrong

 -- Levi Armstrong <levi.armstrong@swri.org>  Sun, 23 Oct 2022 05:00:00 -0000

ros-noetic-tesseract-state-solver (0.13.1-1focal) focal; urgency=high

  * Move most SWIG commands to tesseract_python package (#809 <https://github.com/tesseract-robotics/tesseract/issues/809>)
  * Contributors: John Wason

 -- Levi Armstrong <levi.armstrong@swri.org>  Thu, 25 Aug 2022 05:00:00 -0000

ros-noetic-tesseract-state-solver (0.13.0-1focal) focal; urgency=high

  * Update code based on clang-tidy-14
  * Contributors: Levi Armstrong

 -- Levi Armstrong <levi.armstrong@swri.org>  Mon, 11 Jul 2022 05:00:00 -0000

ros-noetic-tesseract-state-solver (0.10.0-1focal) focal; urgency=high

  * Update ros_industrial_cmake_boilerplate to 0.3.0 (#795 <https://github.com/tesseract-robotics/tesseract/issues/795>)

 -- Levi Armstrong <levi.armstrong@swri.org>  Wed, 06 Jul 2022 05:00:00 -0000

ros-noetic-tesseract-state-solver (0.9.11-1focal) focal; urgency=high

  * Updated CPack (#786 <https://github.com/tesseract-robotics/tesseract/issues/786>)
  * Update to use find_gtest macro
  * Contributors: Levi Armstrong, Michael Ripperger

 -- Levi Armstrong <levi.armstrong@swri.org>  Thu, 30 Jun 2022 05:00:00 -0000

ros-noetic-tesseract-state-solver (0.9.10-1focal) focal; urgency=high



 -- Levi Armstrong <levi.armstrong@swri.org>  Tue, 14 Jun 2022 05:00:00 -0000

ros-noetic-tesseract-state-solver (0.9.9-1focal) focal; urgency=high



 -- Levi Armstrong <levi.armstrong@swri.org>  Mon, 30 May 2022 05:00:00 -0000

ros-noetic-tesseract-state-solver (0.9.8-1focal) focal; urgency=high



 -- Levi Armstrong <levi.armstrong@swri.org>  Mon, 30 May 2022 05:00:00 -0000

ros-noetic-tesseract-state-solver (0.9.7-1focal) focal; urgency=high



 -- Levi Armstrong <levi.armstrong@swri.org>  Mon, 30 May 2022 05:00:00 -0000

ros-noetic-tesseract-state-solver (0.9.6-1focal) focal; urgency=high



 -- Levi Armstrong <levi.armstrong@swri.org>  Mon, 02 May 2022 05:00:00 -0000

ros-noetic-tesseract-state-solver (0.9.5-1focal) focal; urgency=high



 -- Levi Armstrong <levi.armstrong@swri.org>  Sun, 24 Apr 2022 05:00:00 -0000

ros-noetic-tesseract-state-solver (0.9.4-1focal) focal; urgency=high

  * Windows fixes with passing unit tests (#751 <https://github.com/tesseract-robotics/tesseract/issues/751>)
    * Fix bug in OFKTStateSolver::moveLinkHelper
    * Use binary ifstream ond ofstream in serialization.h
    * Add c++17 flag to windows_noetic_build.yml
    * Fix SceneGraph move constructor, restore modified unit tests
  * Contributors: John Wason

 -- Levi Armstrong <levi.armstrong@swri.org>  Fri, 22 Apr 2022 05:00:00 -0000

ros-noetic-tesseract-state-solver (0.9.3-1focal) focal; urgency=high



 -- Levi Armstrong <levi.armstrong@swri.org>  Mon, 18 Apr 2022 05:00:00 -0000

ros-noetic-tesseract-state-solver (0.9.2-1focal) focal; urgency=high



 -- Levi Armstrong <levi.armstrong@swri.org>  Sun, 03 Apr 2022 05:00:00 -0000

ros-noetic-tesseract-state-solver (0.9.1-1focal) focal; urgency=high



 -- Levi Armstrong <levi.armstrong@swri.org>  Fri, 01 Apr 2022 05:00:00 -0000

ros-noetic-tesseract-state-solver (0.9.0-1focal) focal; urgency=high

  * Make ResourceLocator serializable
  * Contributors: Levi Armstrong

 -- Levi Armstrong <levi.armstrong@swri.org>  Thu, 31 Mar 2022 05:00:00 -0000

ros-noetic-tesseract-state-solver (0.8.7-1focal) focal; urgency=high



 -- Levi Armstrong <levi.armstrong@swri.org>  Thu, 24 Mar 2022 05:00:00 -0000

ros-noetic-tesseract-state-solver (0.8.6-1focal) focal; urgency=high



 -- Levi Armstrong <levi.armstrong@swri.org>  Thu, 24 Mar 2022 05:00:00 -0000

ros-noetic-tesseract-state-solver (0.8.5-1focal) focal; urgency=high

  * Add methods for getting link transform information from state solver
